<template>
  <div class="type-radio-button">
    <v-row>
      <v-col xl="1" sm="1" xs="1" style="display: flex;justify-content: center;">
        <v-radio disabled/>
      </v-col>
      <v-col>
        <ValidationProvider v-slot="{ errors }" rules="required|isHtml">
          <v-text-field
            v-model="option.body"
            :error-messages="errors"
            :placeholder="$t('label.write_answer')"
          />
        </ValidationProvider>
      </v-col>
      <v-col xl="2" sm="2" xs="2">
        <v-btn
          v-if="indexOptions > 0"
          class="ma-2"
          text
          icon
          color="red lighten-2"
          @click="deleteOptionItem(indexQuestions, indexOptions)"
        >
          <v-icon>mdi-delete</v-icon>
        </v-btn>
        <v-btn
          v-if="lengthIndex === indexOptions"
          class="ma-2"
          text
          icon
          color="success"
          @click="addOptionItem(indexQuestions)"
        >
          <v-icon left>mdi-plus-box</v-icon>
        </v-btn>
      </v-col>
    </v-row>
  </div>
</template>

<script>
import { ValidationProvider } from 'vee-validate'

export default {
  name: 'TypeQuestionsRadioButton',
  components: {
    ValidationProvider
  },
  props: {
    option: {
      type: Object,
      default: null
    },
    indexQuestions: {
      type: Number,
      default: null
    },
    indexOptions: {
      type: Number,
      default: null
    },
    lengthIndex: {
      type: Number,
      default: null
    },
    deleteOptionItem: {
      type: Function,
      default: null
    },
    addOptionItem: {
      type: Function,
      default: null
    }
  }
}
</script>
